commit:     f0b40d3e6fa04a2c34785f04bf48db705a5df3b9
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Wed May 10 06:45:28 2017 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Wed May 10 07:18:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0b40d3e

sys-auth/consolekit: bump to 1.1.1

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 sys-auth/consolekit/Manifest                       |   1 +
 sys-auth/consolekit/consolekit-1.1.1.ebuild        | 130 +++++++++++++++++++++
 sys-auth/consolekit/files/consolekit-1.0.0.initd   |   6 +-
 ....1-0001-Fix-enable-libudev-configure-flag.patch |  41 +++++++
 sys-auth/consolekit/metadata.xml                   |   1 +
 5 files changed, 176 insertions(+), 3 deletions(-)

diff --git a/sys-auth/consolekit/Manifest b/sys-auth/consolekit/Manifest
index b396cccbcd2..9e317be2c9d 100644
--- a/sys-auth/consolekit/Manifest
+++ b/sys-auth/consolekit/Manifest
@@ -1,4 +1,5 @@
 DIST ConsoleKit-0.4.6.tar.xz 366572 SHA256 
b41d17e06f80059589fbeefe96ad07bcc564c49e65516da1caf975146475565c SHA512 
54955e3e83778a9216846104da8762fd50a37190e209127dd5d211e2227da617e14f6f5c1359905396d299656e526d14e1187b28eaff7d0ae1d7563dc8d9b46d
 WHIRLPOOL 
ebf36b109b4c646d0b874f6b8e2ae9e2d190022ee9b6feff6cbb6b9203c80401c538cc3ca674fa7bde4f07e658d5460864e9784c1e0249d49b4784725a4e05c7
 DIST ConsoleKit2-1.0.1.tar.bz2 1192681 SHA256 
741c53321a0792b165f386c73c668af25615accab6d15983290103348a3ff00c SHA512 
028e7347ff7293ebf3d08541d801e987cbc82fb31d98b67aa23e6dc28d00a422db9591c716c568320b6dde3fa01eb0b77b43c06d230f4bedd1085e078848a202
 WHIRLPOOL 
c555281cd177ed243b1beb3d07d2988d029d8d89cac5242d12dcc37270d2d7adb1d503eaeba2f466964b589c4d10b8f2f014fef7067b535a7be9a360612d0485
 DIST ConsoleKit2-1.1.0.tar.bz2 630178 SHA256 
a40d92358aca9f627a224dca674090e310423b00ed63fc06482997611661b69b SHA512 
14ded07d4140e7a31132de21e84c2878475676b8c98f72b42340708972ed384abb9ba9380d74719718fc220c001387c788cf709cd15f8b19d598467dfe8a57df
 WHIRLPOOL 
8f08d81576b5121b2da6cd94b3b5675ea55dce17997b035d0ba451c011b101f9e315e983b20610ee022ee286b50a7b13e2508584b9c08dba0c6cda20b8801a63
+DIST ConsoleKit2-1.1.1.tar.bz2 1372801 SHA256 
795b2cfb766bdffb9187ef7f8beb8d8298e4c38df4a69377115297a0dee3b0d0 SHA512 
168af9760e10914dff5e693d2c3b2e2a35b1662fc2769e2954eec0238f7f313ff154add650fa6f0f59e73e4e0aec2fe63ff62446a3c73c2d4437408e69aa97b6
 WHIRLPOOL 
cef8ac778923671f9bffe87ecd8045b30630578e2599d0ccf37ad8d8070b7c0ca6936e9837abc5fc1f7af5f119edfeae68d9a14199485936677a5faba09b0958
 DIST consolekit_0.4.6-4.debian.tar.gz 12192 SHA256 
6d4dd5e13a76454b4bab27ab6b407718cd77616afd2b1af7cb8d947c1323b802 SHA512 
f7fc5965b1f495d16a8ca167940431bc2569e9bde9e4a356b9c9ed00c2825db61da7b6db3d434d977fff72b3aaef30c455a365b9eba282a887a523753613b58f
 WHIRLPOOL 
961a918c21259e24c68c7a5bf93964825b891ea207c088fecab61f81434012dc8925fca83b74518cfc9cf42f2c4a87eba7518c0829f663716ca0e11e38c856c9

diff --git a/sys-auth/consolekit/consolekit-1.1.1.ebuild 
b/sys-auth/consolekit/consolekit-1.1.1.ebuild
new file mode 100644
index 00000000000..bac2ded4fb8
--- /dev/null
+++ b/sys-auth/consolekit/consolekit-1.1.1.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools libtool linux-info pam
+
+MY_PN=ConsoleKit2
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Framework for defining and tracking users, login sessions and 
seats"
+HOMEPAGE="https://github.com/ConsoleKit2/ConsoleKit2 
https://www.freedesktop.org/wiki/Software/ConsoleKit";
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/releases/download/${PV}/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="acl cgroups debug doc evdev kernel_linux pam pm-utils policykit selinux 
test udev"
+
+COMMON_DEPEND=">=dev-libs/glib-2.40:2=[dbus]
+       >=sys-devel/gettext-0.19
+       sys-apps/dbus
+       sys-libs/zlib:=
+       x11-libs/libX11:=
+       acl? (
+               sys-apps/acl:=
+               >=virtual/udev-200
+               )
+       cgroups? (
+               app-admin/cgmanager
+               >=sys-libs/libnih-1.0.2[dbus]
+               )
+       evdev? ( dev-libs/libevdev:= )
+       udev? (
+               virtual/libudev
+               x11-libs/libdrm:=
+       )
+       pam? ( virtual/pam )
+       policykit? ( >=sys-auth/polkit-0.110 )
+       selinux? ( sys-libs/libselinux )"
+# pm-utils: bug 557432
+RDEPEND="${COMMON_DEPEND}
+       kernel_linux? ( sys-apps/coreutils[acl?] )
+       pm-utils? ( sys-power/pm-utils )
+       selinux? ( sec-policy/selinux-consolekit )"
+DEPEND="${COMMON_DEPEND}
+       dev-libs/libxslt
+       virtual/pkgconfig
+       doc? ( app-text/xmlto )
+       test? (
+               app-text/docbook-xml-dtd:4.1.2
+               app-text/xmlto
+               )"
+
+S=${WORKDIR}/${MY_P}
+
+QA_MULTILIB_PATHS="usr/lib/ConsoleKit/.*"
+
+PATCHES=( 
"${FILESDIR}/consolekit-1.1.1-0001-Fix-enable-libudev-configure-flag.patch" )
+
+pkg_setup() {
+       if use kernel_linux; then
+               # This is from https://bugs.gentoo.org/376939
+               use acl && CONFIG_CHECK="~TMPFS_POSIX_ACL"
+               # This is required to get login-session-id string with 
pam_ck_connector.so
+               use pam && CONFIG_CHECK+=" ~AUDITSYSCALL"
+               linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/SystemdService/d' 
data/org.freedesktop.ConsoleKit.service.in || die
+
+       default
+       # patch needs autoreconf, so dont need libtoolize
+       eautoreconf
+       #elibtoolize # bug 593314
+}
+
+src_configure() {
+       econf \
+               XMLTO_FLAGS='--skip-validation' \
+               --libexecdir="${EPREFIX}"/usr/lib/ConsoleKit \
+               --localstatedir="${EPREFIX}"/var \
+               $(use_enable pam pam-module) \
+               $(use_enable doc docbook-docs) \
+               $(use_enable test docbook-docs) \
+               $(use_enable debug) \
+               $(use_enable policykit polkit) \
+               $(use_enable evdev libevdev) \
+               $(use_enable acl udev-acl) \
+               $(use_enable cgroups) \
+               $(use_enable selinux) \
+               $(use_enable udev libudev) \
+               $(use_enable test tests) \
+               --with-dbus-services="${EPREFIX}"/usr/share/dbus-1/services \
+               --with-pam-module-dir="$(getpam_mod_dir)" \
+               --with-xinitrc-dir="${EPREFIX}"/etc/X11/xinit/xinitrc.d \
+               --without-systemdsystemunitdir
+}
+
+src_install() {
+       emake \
+               DESTDIR="${D}" \
+               htmldocdir="${EPREFIX}"/usr/share/doc/${PF}/html \
+               install
+
+       dosym /usr/lib/ConsoleKit /usr/lib/${PN}
+
+       dodoc AUTHORS HACKING NEWS README TODO
+
+       newinitd "${FILESDIR}"/${PN}-1.0.0.initd consolekit
+
+       keepdir /usr/lib/ConsoleKit/run-seat.d
+       keepdir /usr/lib/ConsoleKit/run-session.d
+       keepdir /etc/ConsoleKit/run-session.d
+       keepdir /var/log/ConsoleKit
+
+       exeinto /etc/X11/xinit/xinitrc.d
+       newexe "${FILESDIR}"/90-consolekit-3 90-consolekit
+
+       if use kernel_linux; then
+               # bug 571524
+               exeinto /usr/lib/ConsoleKit/run-session.d
+               doexe "${FILESDIR}"/pam-foreground-compat.ck
+       fi
+
+       prune_libtool_files --all # --all for pam_ck_connector.la
+
+       rm -rf "${ED}"/var/run || die # let the init script create the directory
+}

diff --git a/sys-auth/consolekit/files/consolekit-1.0.0.initd 
b/sys-auth/consolekit/files/consolekit-1.0.0.initd
index 05a818a65d9..4fd1140fe20 100644
--- a/sys-auth/consolekit/files/consolekit-1.0.0.initd
+++ b/sys-auth/consolekit/files/consolekit-1.0.0.initd
@@ -1,9 +1,9 @@
 #!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License, v2 or later
 
 description="consolekit - tracks login sessions and seats"
-pidfile="/var/run/ConsoleKit/pid"
+pidfile="/run/ConsoleKit/pid"
 command="/usr/sbin/console-kit-daemon"
 
 depend() {
@@ -12,5 +12,5 @@ depend() {
 }
 
 start_pre() {
-       checkpath -q -d -m 0755 /var/run/ConsoleKit
+       checkpath -q -d -m 0755 /run/ConsoleKit
 }

diff --git 
a/sys-auth/consolekit/files/consolekit-1.1.1-0001-Fix-enable-libudev-configure-flag.patch
 
b/sys-auth/consolekit/files/consolekit-1.1.1-0001-Fix-enable-libudev-configure-flag.patch
new file mode 100644
index 00000000000..c6cc61d4784
--- /dev/null
+++ 
b/sys-auth/consolekit/files/consolekit-1.1.1-0001-Fix-enable-libudev-configure-flag.patch
@@ -0,0 +1,41 @@
+From 91f517bb6e19315c3a9971b2449f2b2e049e785b Mon Sep 17 00:00:00 2001
+From: Eric Koegel <eric.koe...@gmail.com>
+Date: Wed, 10 May 2017 07:13:23 +0300
+Subject: [PATCH] Fix --enable-libudev configure flag
+
+Thanks for perfinion to pointing this out.
+---
+ configure.ac | 10 +++++-----
+ 1 file changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 2d927fe..b17801a 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -364,10 +364,10 @@ AM_CONDITIONAL([ENABLE_UDEV_ACL], [test 
"x$enable_udev_acl" = "xyes"])
+ # libudev - use udev as a device manager for ck-device-udev.c
+ have_libudev=no
+ AC_ARG_ENABLE([libudev],
+-  AS_HELP_STRING([--enable-udev], [Enable udev support @<:@default=auto@:>@]),
+-  [enable_udev=$enableval],
+-  [enable_udev=auto])
+-AS_IF([test "x$enable_udev" != "xno"], [
++  AS_HELP_STRING([--enable-libudev], [Enable udev support 
@<:@default=auto@:>@]),
++  [enable_libudev=$enableval],
++  [enable_libudev=auto])
++AS_IF([test "x$enable_libudev" != "xno"], [
+   PKG_CHECK_MODULES([LIBUDEV], [libudev], [have_libudev=yes], 
[have_libudev=no])
+   PKG_CHECK_MODULES([LIBDRM], [libdrm], [have_libdrm=yes], [have_libdrm=no])
+   AC_CHECK_LIB([prop], [prop_dictionary_get_cstring], [have_libprop=yes], 
[have_libprop=no])
+@@ -384,7 +384,7 @@ AS_IF([test "x$enable_udev" != "xno"], [
+     LIBUDEV_LIBS="$LIBUDEV_LIBS -lprop"
+   fi
+ 
+-  if test "x$enable_udev"  = "xyes" -a "x$have_udev" = "xno"; then
++  if test "x$enable_libudev"  = "xyes" -a "x$have_libudev" = "xno"; then
+     AC_MSG_ERROR([udev support explicitly requested but dependencies not 
found])
+   fi
+ ])
+-- 
+2.10.2
+

diff --git a/sys-auth/consolekit/metadata.xml b/sys-auth/consolekit/metadata.xml
index 2266292e814..3aa5069e61c 100644
--- a/sys-auth/consolekit/metadata.xml
+++ b/sys-auth/consolekit/metadata.xml
@@ -10,6 +10,7 @@
        </maintainer>
        <use>
                <flag name="cgroups">Use the kernel to track processes instead 
of the session cookie.</flag>
+               <flag name="evdev">For handling VT switching with a session 
controller.</flag>
                <flag name="pm-utils">Adds support for suspend/resume using 
<pkg>sys-power/pm-utils</pkg></flag>
                <flag name="policykit">Use the PolicyKit framework 
(<pkg>sys-auth/polkit</pkg>) to get authorization for suspend/shutdown.</flag>
                <flag name="systemd-units">Install systemd unit files to 
replace the modern functionality of logind in <pkg>sys-apps/systemd</pkg>. Not 
recommended.</flag>

Reply via email to